import { modalStore } from "../../Stores/ModalStore.js";

/**
 * Alert action
 * 
 * @since 1.0.0
 */
export default class ActionModal {; 
    /**
    * Constuctor.
    * 
    * @param data Action data.
    * 
    * @since 1.0.0
    */
    constructor(data) {
        this.data = data;
    }

    /**
     * Run action.
     * 
     * @return {boolean} True if action was executed successfully.
     * 
     * @since 1.0.0
     */
    execute() {
        modalStore.set(this.data);
        return true;
    }    
}