/**
 * Submit action
 *
 * @since 1.0.0
 */
export default class ActionSubmit {
    /**
    * Constuctor.
    *
    * @param actionData Action data.
    * @param {Array} formValues Form values.
    *
    * @since 1.0.0
    */
    constructor(actionData: any, formValues?: any[]);
    actionData: any;
    formValues: any[];
    /**
     * Get headers to send.
     *
     * @returns {object} Headers to send.
     *
     * @since 1.0.0
     */
    getHeaders(): object;
    /**
     * Get body to send.
     *
     * @returns {string|FormData} Body to send as JSON or FormData.
     *
     * @since 1.0.0
     */
    getBody(): string | FormData;
    /**
     * Get url to send.
     *
     * @returns {string} Url to send.
     *
     * @since 1.0.0
     */
    getUrl(): string;
    /**
     * Get action method.
     *
     * @returns {string} Action method.
     *
     * @since 1.0.0
     */
    getMethod(): string;
    /**
     * Run action.
     *
     * @return {boolean} True if action was executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
    /**
     * Set error.
     *
     * @since 1.0.0
     */
    setError(): void;
    /**
     * Set success.
     *
     * @since 1.0.0
     */
    setSuccess(): void;
}
