/**
 * Field class.
 *
 * @since 1.0.0
 */
export default class Event {
    /**
     * Constructor.
     *
     * @param trigger Trigger when action fires (change or submit).
     * @param conditions Conditions which have to be fullfilled to run actions after it was triggered.
     * @param actions Actions to be executed.
     *
     * @since 1.0.0
     */
    constructor(eventData: any, formValues?: any[]);
    conditions: Conditions;
    actions: Actions;
    trigger: any;
    /**
     * Runs the event.
     *
     * @return boolean True if all actions were executed successfully.
     *
     * @since 1.0.0
     */
    execute(): boolean;
}
import Conditions from "../Helpers/Conditions.js";
import Actions from "./Actions.js";
