/**
 * Modal class.
 *
 * @since 1.0.0
 */
export default class Modal {
    /**
     * Show modal.
     *
     * @param modalData Modal data.
     *
     * @since 1.0.0
     */
    constructor(modalData: any);
    modalData: any;
    /**
     * Is modal visible.
     *
     * @returns True if modal is visible, false otherwise.
     *
     * @since 1.0.0
     */
    isVisible(): boolean;
    /**
     * Modal title.
     *
     * @returns Modal title.
     *
     * @since 1.0.0
     */
    getTitle(): any;
    /**
     * Modal body.
     *
     * @returns Modal body.
     *
     * @since 1.0.0
     */
    getBody(): any;
    /**
     * Get buttons.
     *
     * @returns Modal buttons.
     *
     * @since 1.0.0
     */
    getButtons(): any[];
    /**
     * Hide modal.
     *
     * @since 1.0.0
     */
    dismiss(): void;
    /**
     * Check if modal exists.
     *
     * @returns {boolean} True if modal exists, false otherwise.
     *
     * @since 1.0.0
     */
    exists(): boolean;
}
