/**
 * MutipleField class.
 *
 * @since 1.0.0
 */
export default class MultipleField extends Field {
    /**
     * Initializing field.
     *
     * @param fieldData  Field data.
     * @param formValues Form values.
     *
     * @since 1.0.0
     */
    constructor(fieldData: any, formValues?: any[]);
    /**
     * Get values of the mutliple field.
     *
     * @returns All values of the field.
     *
     * @since 1.0.0
     */
    getValues(): any;
    /**
    * Doing form things and get value of the field.
    *
    * @returns Value of the field.
    *
    * @since 1.0.0
    */
    getValue(index: any): any;
    /**
     * Set value of the field.
     *
     * @param {any} value Value to set.
     * @param {number} index Index of the value to set.
     *
     * @since 1.0.0
     */
    setValue(value: any, index: number): any;
    /**
     * Set values of the field.
     *
     * @param {any[]} values - Values to set.
     *
     * @since 1.0.0
     */
    setValues(values: any[]): any[];
    /**
     * Add new value to the field.
     *
     * @param {any} value - New value.
     *
     * @since 1.0.0
     */
    addValue(value: any): void;
    /**
     * Remove value from the field.
     *
     * @param {number} index - Index of the value to remove.
     *
     * @since 1.0.0
     */
    removeValue(index: number): void;
    /**
     * Validate field values and set errors.
     *
     * @returns {boolean} True if field is valid.
     *
     * @since 1.0.0
     */
    validate(): boolean;
}
import Field from './Field.js';
