/**
 * Navigation class.
 *
 * @since 1.0.0
 */
export default class Registration {
    elements: any[];
    /**
     * Add element to register
     *
     * @param {string} name  Name of element.
     *
     * @since 1.0.0
     */
    addElement(name: string, input: any): void;
    /**
     * Get a specific element.
     *
     * @param {string} name Element name.
     *
     * @returns Svelte component element object.
     *
     * @since 1.0.0
     */
    getElement(name: string): any;
    /**
     * Register standard Elements.
     *
     * @since 1.0.0
     */
    registerDefaults(): void;
}
