/**
 * SingleField class.
 *
 * @since 1.0.0
 */
export default class SingleField extends Field {
    /**
     * Initializing field.
     *
     * @param fieldData  Field data.
     * @param {Array} formValues Form values.
     *
     * @since 1.0.0
     */
    constructor(fieldData: any, formValues?: any[]);
    /**
     * Doing form things and get value of the field.
     *
     * @returns {any} Value of the field.
     *
     * @since 1.0.0
     */
    getValue(): any;
    /**
     * Doing form things and g set value of the field.
     *
     * @param {any} value Value to set.
     *
     * @since 1.0.0
     */
    setValue(value: any): any;
    /**
     * Validate field values and set errors.
     *
     * @returns {boolean} True if field is valid.
     *
     * @since 1.0.0
     */
    validate(): boolean;
}
import Field from './Field.js';
