/**
 * Class Fieldset.
 *
 * @since 1.0.0
 */
export default class Fieldset {
    /**
     * Constructor.
     *
     * @param form Form object.
     *
     * @since 1.0.0
     */
    constructor(fieldsetData: any, formValues?: any[]);
    id: any;
    fields: any[];
    legend: any;
    nextFieldset: any;
    prevFieldset: any;
    conditions: Conditions;
    classes: CSSClasses;
    legendClasses: CSSClasses;
    fieldsClasses: CSSClasses;
    /**
     * Has next fieldset.
     *
     * @returns {boolean} True if has next fieldset, false otherwise.
     *
     * @since 1.0.0
     */
    hasNext(): boolean;
    /**
     * Has previous fieldset.
     *
     * @returns {boolean} True if has previous fieldset, false otherwise.
     *
     * @since 1.0.0
     */
    hasPrev(): boolean;
    /**
     * Has previous fieldset.
     *
     * @returns {boolean} True if has previous fieldset, false otherwise.
     *
     * @since 1.0.0
     */
    isComplete(): boolean;
}
import Conditions from '../Helpers/Conditions.js';
import CSSClasses from '../Helpers/CSSClasses.js';
