/**
 * Navigation class.
 *
 * @since 1.0.0
 */
export default class Navigation {
    /**
     * Initializing navigation.
     *
     * @param form  Form object.
     * @param navigationData Navigation data.
     *
     * @since 1.0.0
     */
    constructor(form: any);
    form: any;
    fieldsets: any;
    classes: CSSClasses;
    buttonsClasses: CSSClasses;
    /**
     * Get current fieldset.
     *
     * @return Current fieldset.
     *
     * @since 1.0.0
     */
    getCurrentFieldset(): any;
    /**
     * Set previous fieldset.
     *
     * @return Navigation object.
     *
     * @since 1.0.0
     */
    prev(): void;
    /**
     * Set next fieldset.
     *
     * @return Navigation object.
     *
     * @since 1.0.0
     */
    next(): void;
    /**
     * Is there a previous fieldset?
     *
     * @return True if there is a previous fieldset, false if not.
     *
     * @since 1.0.0
     */
    hasPrev(): any;
    /**
     * Is there a next fieldset?
     *
     * @return True if there is a previous fieldset, false if not.
     *
     * @since 1.0.0
     */
    hasNext(): any;
    /**
     * Set current fieldset.
     *
     * @param fieldsetId Id of fieldset.
     *
     * @since 1.0.0
     */
    _setCurrentFieldset(fieldsetId: any): void;
    currentFieldset: any;
}
import CSSClasses from "../Helpers/CSSClasses.js";
