/**
 * Validations class.
 *
 * @since 1.0.0
 */
export default class Validations {
    /**
     * Constructor.
     *
     * @param value      A value which have to be validated.
     * @param validation Validation rules array.
     * @param required   Is value required or not.
     *
     * @since 1.0.0
     */
    constructor(validations: any);
    validations: any;
    errors: any[];
    validated: boolean;
    /**
     * Doing check for given values.
     *
     * @since 1.0.0
     */
    validate(value: any): any[];
    /**
     * Are there errors after validation?
     *
     * @returns True on errors, false if not.
     *
     * @since 1.0.0
     */
    isError(): boolean;
    /**
     * Get errors after validation.
     *
     * @returns All errors.
     *
     * @since 1.0.0
     */
    getErrors(): any[];
    /**
     * Is validation done?
     *
     * @returns True if validated, false if not.
     *
     * @since 1.0.0
     */
    isValidated(): boolean;
}
