import { onMount } from 'svelte';
import SvormApp from './Svorm.svelte';

/**
 * Svorm class for export
 * 
 * @since 1.0.0
 */
export default class Svorm {
    /**
     * Constructor
     * 
     * @since 1.0.0
     */
	constructor( customElements = [] ) {
		onMount(() => {
			let components = document.querySelectorAll('[data-component]');

			components.forEach( ( component ) => {
				let parsed_component = component;

				const jsonFile = parsed_component.dataset.form;
								
				fetch( jsonFile, { method: 'GET'} )
				.then( response => response.json() )
				.then( data => {
					new SvormApp({
						target: component,
						props: {
							formData: data,
							customElements
						}
					});
				})
				.catch( ( error ) => {
					console.error( 'Error:', error );
				});
			});
		});		
	}
}